# List all ACH returns

**GET** `/transfers/ach/returns`

Retrieve the return processing details of all ACH transfers under your developer account, including both returns filed by your platform and returns sent by other RDFIs.

### Query Parameters

- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/transfers/ach/returns' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "ach_returns": [
    {
      "ach_transfer_id": "acht_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
      "created_at": "2024-01-15T09:30:00Z",
      "details": [
        {
          "addenda": "Payment for invoice #1234",
          "created_at": "2024-01-15T09:30:00Z",
          "description": "Example description",
          "return_code": "R01",
          "status": "pending",
          "updated_at": "2024-01-15T09:30:00Z"
        }
      ],
      "is_incoming": false,
      "status": "pending",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ],
  "has_more": false
}
```
